Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2494 closed defect (fixed)

Remove task variables

Reported by: Sebastian Huber Owned by:
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: admin@… Blocked By:
Blocking:

Description

Notepads were marked as obsolete in 4.11. Next step is to remove them. Documentation should mention that notepads are removed and list the alternatives, e.g. POSIX keys or thread local storage.

Attachments (1)

0001-api-Remove-deprecated-task-variables.patch (46.9 KB) - added by Aun-Ali Zaidi on 03/01/16 at 03:38:09.

Download all attachments as: .zip

Change History (8)

comment:1 Changed on 12/15/15 at 10:50:17 by Sebastian Huber

This ticket depends on #2306.

comment:2 Changed on 12/15/15 at 10:56:21 by Sebastian Huber

  • Remove _Thread_Control::task_variables.
  • Remove all rtems_task_*variable*() functions and now unused dependencies.
  • Build with all tests enabled and fix all compile and link time errors.
  • Run tests without regressions.
  • Update documentation, to be defined.
Last edited on 12/22/15 at 14:20:38 by Sebastian Huber (previous) (diff)

comment:3 Changed on 03/01/16 at 03:38:31 by Aun-Ali Zaidi

Cc: admin@… added

comment:4 Changed on 05/04/16 at 05:28:19 by Sebastian Huber

[1d40d81b4b8dd50e4162b0b79b60d3312d2744e5/rtems]

Documentation update is missing.

comment:5 Changed on 02/15/17 at 13:21:27 by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:6 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:7 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.